## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global short_name backgrounds

Name:           fedora-eln-backgrounds
Version:        1.3
Release:        %autorelease
Summary:        Fedora ELN default desktop background

License:        CC-BY-SA-4.0
URL:            https://docs.fedoraproject.org/en-US/eln/
Source0:        https://github.com/fedora-eln/%{short_name}/archive/refs/tags/%{version}.tar.gz
Source1:        gbp2kwp.py

BuildArch:      noarch

BuildRequires:  file
BuildRequires:  make
BuildRequires:  ImageMagick
BuildRequires:  python3

%if 0%{?eln}
Provides:       system-backgrounds = %{version}-%{release}
Provides:       system-backgrounds-gnome = %{version}-%{release}
Provides:       desktop-backgrounds-gnome = %{version}-%{release}
Provides:       system-backgrounds-kde = %{version}-%{release}

Provides:       system-backgrounds-compat = %{version}-%{release}
Provides:       desktop-backgrounds-compat = %{version}-%{release}
Obsoletes:      desktop-backgrounds-compat < %{version}
%endif


%description
This package contains desktop backgrounds for the Fedora ELN default theme.


%prep
%autosetup -n %{short_name}-%{version}


%build
%make_build


%install
%make_install

python3 %{S:1} -a "Fedora ELN SIG" -l "CC-BY-SA-4.0" -d %{buildroot} default/gnome-backgrounds-fedora-eln.xml

%if %{defined eln}
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
install -m 644 \
    default/10_org.gnome.desktop.background.default.gschema.override \
    default/10_org.gnome.desktop.screensaver.default.gschema.override \
    %{buildroot}%{_datadir}/glib-2.0/schemas

ln -s fedora-eln/default/fedora-eln-01-day.png %{buildroot}%{_datadir}/backgrounds/default.png
ln -s fedora-eln/default/fedora-eln-01-night.png %{buildroot}%{_datadir}/backgrounds/default-night.png
ln -s fedora-eln/default/fedora-eln.xml %{buildroot}%{_datadir}/backgrounds/default.xml

ln -s Fedora_ELN_Default %{buildroot}%{_datadir}/wallpapers/Default
%endif

%files
%license CC-BY-SA-4.0 Attribution
%dir %{_datadir}/backgrounds
%dir %{_datadir}/backgrounds/fedora-eln
%dir %{_datadir}/backgrounds/fedora-eln/default
%dir %{_datadir}/gnome-background-properties/
%{_datadir}/backgrounds/fedora-eln/default/fedora-eln*.{png,xml}
%{_datadir}/gnome-background-properties/fedora-eln.xml
%if %{defined eln}
%{_datadir}/glib-2.0/schemas/*.override
%endif
%dir %{_datadir}/wallpapers/
%{_datadir}/wallpapers/Fedora_ELN*/
%if %{defined eln}
%{_datadir}/backgrounds/default*.{png,xml}
%{_datadir}/wallpapers/Default
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 19 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 1.3-2
- Uncommitted changes

* Wed Jul 16 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 1.3-1
- Add KDE wallpapers

* Mon May 05 2025 Troy Dawson <tdawson@redhat.com> - 1.2-1
- Bump to version 1.2

* Sun May 04 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0-10
- Add gsettings overrides for ELN

* Fri May 02 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0-9
- Fix file paths in XML files

* Fri Apr 04 2025 Troy Dawson <tdawson@redhat.com> - 1.0-8
- Final tweaks to spec file after the initial release was created

* Fri Apr 04 2025 Troy Dawson <tdawson@redhat.com> - 1.0-7
- conditionalize Provides: system-backgrounds for eln only

* Mon Mar 31 2025 Troy Dawson <tdawson@redhat.com> - 1.0-6
- Spec file tweaks

* Mon Mar 31 2025 Troy Dawson <tdawson@redhat.com> - 1.0-5
- Update license to correct version

* Fri Mar 28 2025 Troy Dawson <tdawson@redhat.com> - 1.0-4
- Consolodate spec down to one package to be like redhat-backgrounds and
  centos-stream-backgrounds

* Thu Mar 27 2025 Troy Dawson <tdawson@redhat.com> - 1.0-3
- Fixup names in configs

* Thu Mar 27 2025 Troy Dawson <tdawson@redhat.com> - 1.0-2
- Rename files correctly

* Thu Mar 27 2025 Troy Dawson <tdawson@redhat.com> - 1.0-1
- Initial 1.0 release
## END: Generated by rpmautospec
